import { Plugin } from 'vue';
import { DialogInjectionKey } from './types/Plugin';
/**
 * Injection key
 *
 * Provides access to plugin methods and properties using the vue inject method
 *
 * https://gitart-vue-dialog.netlify.app/docs/guide/plugin-usage.html#usage
 *
 * @example Usage
 * const {
 *   dialogs,
 *   removeDialog,
 * } = inject(dialogInjectionKey)!
 */
export declare const dialogInjectionKey: DialogInjectionKey;
/**
 * Plugin to install
 *
 * https://gitart-vue-dialog.netlify.app/docs/guide/plugin-usage.html - Documentaion
 *
 * @example instalation
 * import { plugin as dialogPlugin } from 'gitart-vue-dialog'
 * createApp(App)
 *  .use(dialogPlugin)
 *  .mount('#app')
 */
export declare const plugin: Plugin;
//# sourceMappingURL=plugin.d.ts.map